from sqlalchemy.ext.declarative import declarative_base
from modules.base.config import ConfigReader

from flask_sqlalchemy import SQLAlchemy
from flask_babel import Babel
from flask import Flask

Base = declarative_base()

#### load config ####
config = ConfigReader()
config.load_config()

#### read config ####
install_dir = config.get(str("install_dir"))
db_name = config.get(str("db_name"))
db_user = config.get(str("db_user"))
db_pass = config.get(str("db_pass"))
db_host = config.get(str("db_host"))

#### create database conn ####
app = Flask(__name__, template_folder=install_dir+'/modules/web/templates')
app.config["SQLALCHEMY_DATABASE_URI"] = "mysql://"+db_user+":"+db_pass+"@"+db_host+"/"+db_name+"?charset=utf8"
app.config['BABEL_DEFAULT_LOCALE'] = 'de'
app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False

db = SQLAlchemy(app)
babel = Babel(app)
