from modules.communication.liquidsoap.client import LiquidSoapClient

class LiquidSoapRecorderClient(LiquidSoapClient):
    # ------------------------------------------------------------------------------------------ #
    def recorder_setfilename(self, filename):
        """
        Dateinamen für Aufnahme (Vorproduktion) definieren
        @type    filename: string
        @param   filename: Dateiname - Angabe ohne Verzeichnis und mit Extension
        @rtype:  string
        @return: Die Antwort des Liquidsoap-Servers
        """
        self.command('setfilename', 'record', str(filename))
        return self.message

    # ------------------------------------------------------------------------------------------ #
    def stop_record(self):
        """
        Recorder stoppen
        @rtype:  string
        @return: Die Antwort des Liquidsoap-Servers
        """
        message = self.command('stop', 'record')
        return self.message

    # ------------------------------------------------------------------------------------------ #
    def start_record(self):
        """
        Recorder starten
        @rtype:  string
        @return: Die Antwort des Liquidsoap-Servers
        """
        self.command('start', 'record')
        return self.message

    # ------------------------------------------------------------------------------------------ #
    def recorder_data(self):
        """
        Daten des recorders erhalten
        @rtype:  string
        @return: Die Antwort des Liquidsoap-Servers
        """
        self.command('curfile', 'record')
        return self.message